Delete list
curl --request DELETE \
--url https://api.staging.kathan.tech/recipient-lists/{recipient_list_id} \
--header 'Authorization: Bearer <token>' \
--header 'X-User-ID: <api-key>'import requests
url = "https://api.staging.kathan.tech/recipient-lists/{recipient_list_id}"
headers = {
"Authorization": "Bearer <token>",
"X-User-ID": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'X-User-ID': '<api-key>'}
};
fetch('https://api.staging.kathan.tech/recipient-lists/{recipient_list_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Recipient Lists
Delete list
Delete a recipient list and all its entries.
DELETE
/
recipient-lists
/
{recipient_list_id}
Delete list
Authorizations
API key authentication.
Required user id for API key requests.
Path Parameters
Response
Successful Response
The response is of type Response Delete Recipient List Recipient Lists Recipient List Id Delete · object.
Was this page helpful?
⌘I